Create a challenge to sign typed data
Generates a challenge for signing the EIP-712 typed structured data from a specified user-controlled wallet. This endpoint only supports Ethereum and EVM-compatible blockchains. Please note that not all Dapps currently support Smart Contract Accounts (SCA); the difference between Ethereum’s EOA and SCA can be found in the account types guide. You can also check the list of Ethereum Dapps that support SCA: https://eip1271.io/.
To identify the wallet, you must provide either walletId, or both walletAddress and blockchain in the request body.
Authorizations
Headers
Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.
A unique identifier, which can be helpful for identifying a request when communicating with Circle support.
"2adba88e-9d63-44bc-b975-9b6ae3440dde"
Body
Sign typed data for end user request
A string represents the typed structured data in EIP-712
"{ \"types\": { \"Data\": [{ \"name\": \"dummy\", \"type\": \"string\" }],\"EIP712Domain\":[{ \"name\": \"name\", \"type\": \"string\" },{ \"name\": \"chainId\", \"type\": \"uint256\" }]}, \"domain\": { \"name\": \"Test\", \"chainId\": 1337 }, \"primaryType\": \"Data\", \"message\": { \"dummy\": \"dummy\" }}"
The blockchain network that the resource is to be created on or is currently on.
ETH, ETH-SEPOLIA, AVAX, AVAX-FUJI, MATIC, MATIC-AMOY, SOL, SOL-DEVNET, ARB, ARB-SEPOLIA, NEAR, NEAR-TESTNET, EVM, EVM-TESTNET, UNI, UNI-SEPOLIA, BASE, BASE-SEPOLIA, OP, OP-SEPOLIA, APTOS, APTOS-TESTNET, ARC, ARC-TESTNET, MONAD, MONAD-TESTNET "MATIC-AMOY"